classification
Title: mmap.mmap as a context manager
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brian.curtin, georg.brandl
Priority: normal Keywords: needs review, patch

Created on 2010-03-03 03:39 by brian.curtin, last changed 2010-08-01 14:50 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
mmap_context_mgr.diff brian.curtin, 2010-03-03 03:39 patch against trunk
Messages (2)
msg100331 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-03-03 03:39
Most file or file-like objects operate as context managers, except for mmap (and maybe a few others?). Attached is a patch with tests and documentation.

The patch also introduces an additional attribute to mmap, "closed".
msg112336 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-01 14:50
Thanks, adapted to current trunk and applied in r83406.
History
Date User Action Args
2010-08-01 14:50:07georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112336

keywords: patch, patch, needs review
resolution: accepted
2010-05-12 19:15:29brian.curtinsetkeywords: patch, patch, needs review
versions: - Python 2.7
2010-03-03 03:39:51brian.curtincreate